package de.hsadmin.remote;

import java.util.List;
import java.util.Map;

import de.hsadmin.core.model.HSAdminException;

public interface IRemote {

	public abstract List<Map<String, String>> search(
			String runAsUser,
			String ticket, 
			Map<String, String> whereParams
		) throws HSAdminException;

	public abstract Map<String, String> add(
			String runAsUser, 
			String ticket,
			Map<String, String> setParams
		) throws HSAdminException;

	public abstract void delete(
			String runAsUser, 
			String ticket,
			Map<String, String> whereParams
		) throws HSAdminException;

	public abstract List<Map<String, String>> update(
			String runAsUser,
			String ticket, 
			Map<String, String> setParams,
			Map<String, String> whereParams
		) throws HSAdminException;

}